> For the complete documentation index, see [llms.txt](https://apidocs.juicefin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.juicefin.com/apis/administration/get-mobile-upgrade.md).

# Get Mobile Upgrade

## Get Mobile Upgrade

The Get Mobile Upgrade API allows to get mobile upgrade details for a specific mobile application.

## Input Parameters:

| Name       | Required | Definition                                                                         | Comments                                                                              |
| ---------- | -------- | ---------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------- |
| MobileType | Y        | <p>Format: Alphanumeric, 50<br>Description: Contains Device Type</p>               |                                                                                       |
| OrgId      | Y        | <p>Format: Alphanumeric, 20<br>Value can be multiple org\_id’s split by commas</p> | Allow to request relevant Distributor's upgrade information (future: support Reseller |
| Version    | Y        | <p>Format: Alphanumeric, 120<br>Description: Version ID</p>                        |                                                                                       |

## Output Parameters:

| Name               | Definition                                                                                                                              | Failure Case | Success Case | Comments                            |
| ------------------ | --------------------------------------------------------------------------------------------------------------------------------------- | ------------ | ------------ | ----------------------------------- |
| NewVersion         | <p>Format: Alphanumeric, 120<br>Description: New version ID to be install in mobile</p>                                                 | Not returned | Returned     |                                     |
| UpgradeDescription | <p>Format: Alphanumeric, 300<br>Description: Contains list of features/changes in new version</p>                                       | Not returned | Returned     | Returned in UpgradeDescriptions tag |
| UpgradeLink        | <p>Format: Alphanumeric, 300<br>Description: Contains the link to the store page containing the upgrade application to be installed</p> | Not returned | Returned     |                                     |
| UpgradeRequired    | <p>Format: Y, N<br>Description: Indicates if the mobile user must do an upgrade or not</p>                                              | Not returned | Returned     |                                     |

## XML Samples

### Input XML

```json
<?xml version="1.0"?>
<PraxellXMLRequest>
  <ServiceDetails>
    <UniqueRequestId>963369551</UniqueRequestId>
    <ServiceName>GetMobileUpgrade</ServiceName>
  </ServiceDetails>
  <Origin>
    <OriginType>Mobile</OriginType>
  </Origin>
  <ServiceParams>
    <OrgId>JPay</OrgId>
    <Version>13.3</Version>
  </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
     <ResponseDetails>
        <ServiceName>GetMobileUpgrade</ServiceName>
        <SessionId>38097317201110064</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2011-06-05 17:10:40</ServiceDate>
        <ServiceId>38097317201110064</ServiceId>
    </ResponseDetails>
<ResponseParams>
    <NewVersion>13.4</NewVersion>
    <UpgradeRequired>Y</UpgradeRequired>
       <UpgradeDescription>Pay Bill, Second New Feature</UpgradeDescription>
    <UpgradeLink>http:/mobileshop/shop.com/MobileUpgrade.html</UpgradeLink>
</ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>GetMobileUpgrade</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/get-mobile-upgrade.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
